<?php

namespace XF2SEO\SEOPackage\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

/**
 * COLUMNS
 * @property string content_type
 * @property int content_id
 * @property array metadata
 */
class Metadata extends Entity
{
    public function isNoIndex(): bool
    {
        return isset($this->metadata['noindex']) && $this->metadata['noindex'] === true;
    }

    public static function getStructure(Structure $structure)
    {
        $structure->table = 'xf_seo_package_metadata';
        $structure->primaryKey = ['content_type', 'content_id'];
        $structure->shortName = 'XF2SEO\SEOPackage:Metadata';

        $structure->columns = [
            'content_type' => ['type' => self::STR, 'maxLength' => 50, 'required' => true],
            'content_id' => ['type' => self::UINT, 'required' => true],
            'metadata' => ['type' => self::JSON_ARRAY, 'default' => []]
        ];

        return $structure;
    }
}
